mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.Delegate | System.AttributeTargets.All, Inherited=false) System.Diagnostics.Conditional("DEBUG") System.Diagnostics.Conditional("CONTRACTS_FULL")

Types that are marked with this attribute have code contracts that are included in a separate type. The type that contains the contracts is specified in the constructor.

Specifies that a separate type contains the code contracts for this type.

- Constructor
  4.0.0.0

  Initializes a new instance of the class.

  The type that contains the code contracts for this type.
- Property
  4.0.0.0
  System.Type The type that contains the code contract specifications.

  Gets the type that contains the code contracts for this type.